# class IAXInfoElementString | A single IAX2 text Information Element. More...
Full name | `TelEngine::IAXInfoElementString`
Definition | `#include <libs/yiax/yateiax.h>`
Inherits | TelEngine::IAXInfoElement [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- inline IAXInfoElementString (Type type, const char* buf, unsigned len)
- virtual ~IAXInfoElementString ()
- inline int length () const
- inline String& data ()
- virtual void toBuffer (DataBlock& buf)
- virtual void toString (String& buf)

## Detailed Description

This class holds a single Information Element with text data

inline IAXInfoElementString (Type type, const char* buf, unsigned len) | ### IAXInfoElementString

Constructor

Parameters:

type | Type of this IE
buf | Source buffer to construct this IE
len | Buffer length

~IAXInfoElementString () | ### ~IAXInfoElementString

[virtual]

Destructor

inline int length () | ### length

[const]

Get the data length

Returns: The data length

inline String& data () | ### data

Get the data

Returns: The data

void toBuffer (DataBlock& buf) | ### toBuffer

[virtual]

Constructs a buffer containing this Information Element

Parameters:

buf | Destination buffer

Reimplemented from IAXInfoElement.

void toString (String& buf) | ### toString

[virtual]

Add this element to a string

Parameters:

buf | Destination string

Reimplemented from IAXInfoElement.

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.